# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class TmcEndpointsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'api_endpoint': 'str',
        'api_token': 'str',
        'default_cluster_group_name': 'str',
        'default_workspace_name': 'str',
        'description': 'str',
        'document_self_link': 'str',
        'id': 'str',
        'name': 'str',
        'org_id': 'str'
    }

    attribute_map = {
        'api_endpoint': 'apiEndpoint',
        'api_token': 'apiToken',
        'default_cluster_group_name': 'defaultClusterGroupName',
        'default_workspace_name': 'defaultWorkspaceName',
        'description': 'description',
        'document_self_link': 'documentSelfLink',
        'id': 'id',
        'name': 'name',
        'org_id': 'orgId'
    }

    def __init__(self, api_endpoint=None, api_token=None, default_cluster_group_name=None, default_workspace_name=None, description=None, document_self_link=None, id=None, name=None, org_id=None):  # noqa: E501
        """TmcEndpointsBody - a model defined in Swagger"""  # noqa: E501
        self._api_endpoint = None
        self._api_token = None
        self._default_cluster_group_name = None
        self._default_workspace_name = None
        self._description = None
        self._document_self_link = None
        self._id = None
        self._name = None
        self._org_id = None
        self.discriminator = None
        if api_endpoint is not None:
            self.api_endpoint = api_endpoint
        if api_token is not None:
            self.api_token = api_token
        if default_cluster_group_name is not None:
            self.default_cluster_group_name = default_cluster_group_name
        if default_workspace_name is not None:
            self.default_workspace_name = default_workspace_name
        if description is not None:
            self.description = description
        if document_self_link is not None:
            self.document_self_link = document_self_link
        if id is not None:
            self.id = id
        if name is not None:
            self.name = name
        if org_id is not None:
            self.org_id = org_id

    @property
    def api_endpoint(self):
        """Gets the api_endpoint of this TmcEndpointsBody.  # noqa: E501


        :return: The api_endpoint of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._api_endpoint

    @api_endpoint.setter
    def api_endpoint(self, api_endpoint):
        """Sets the api_endpoint of this TmcEndpointsBody.


        :param api_endpoint: The api_endpoint of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._api_endpoint = api_endpoint

    @property
    def api_token(self):
        """Gets the api_token of this TmcEndpointsBody.  # noqa: E501


        :return: The api_token of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._api_token

    @api_token.setter
    def api_token(self, api_token):
        """Sets the api_token of this TmcEndpointsBody.


        :param api_token: The api_token of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._api_token = api_token

    @property
    def default_cluster_group_name(self):
        """Gets the default_cluster_group_name of this TmcEndpointsBody.  # noqa: E501


        :return: The default_cluster_group_name of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._default_cluster_group_name

    @default_cluster_group_name.setter
    def default_cluster_group_name(self, default_cluster_group_name):
        """Sets the default_cluster_group_name of this TmcEndpointsBody.


        :param default_cluster_group_name: The default_cluster_group_name of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._default_cluster_group_name = default_cluster_group_name

    @property
    def default_workspace_name(self):
        """Gets the default_workspace_name of this TmcEndpointsBody.  # noqa: E501


        :return: The default_workspace_name of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._default_workspace_name

    @default_workspace_name.setter
    def default_workspace_name(self, default_workspace_name):
        """Sets the default_workspace_name of this TmcEndpointsBody.


        :param default_workspace_name: The default_workspace_name of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._default_workspace_name = default_workspace_name

    @property
    def description(self):
        """Gets the description of this TmcEndpointsBody.  # noqa: E501


        :return: The description of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this TmcEndpointsBody.


        :param description: The description of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def document_self_link(self):
        """Gets the document_self_link of this TmcEndpointsBody.  # noqa: E501


        :return: The document_self_link of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._document_self_link

    @document_self_link.setter
    def document_self_link(self, document_self_link):
        """Sets the document_self_link of this TmcEndpointsBody.


        :param document_self_link: The document_self_link of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._document_self_link = document_self_link

    @property
    def id(self):
        """Gets the id of this TmcEndpointsBody.  # noqa: E501


        :return: The id of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this TmcEndpointsBody.


        :param id: The id of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def name(self):
        """Gets the name of this TmcEndpointsBody.  # noqa: E501


        :return: The name of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this TmcEndpointsBody.


        :param name: The name of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def org_id(self):
        """Gets the org_id of this TmcEndpointsBody.  # noqa: E501


        :return: The org_id of this TmcEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this TmcEndpointsBody.


        :param org_id: The org_id of this TmcEndpointsBody.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(TmcEndpointsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, TmcEndpointsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
